Skip to main content
`Ctrl`+`K`

# DMSetFineDM

Set the fine mesh from which this was obtained by coarsening

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetFineDM(DM dm, DM fdm)

## Input Parameters

- dm - The `DM` object

- fdm - The fine `DM`

## Note

Normally this is set automatically by `DMCoarsen()`

## See Also

DM Basics, `DM`, `DMGetFineDM()`, `DMCoarsen()`, `DMRefine()`

## Level

developer

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages